tech:

taffy

OpenSSL warns of critical security vulnerability with upcoming patch — ZDNet

This new hole only affects OpenSSL versions 3.0.0 through 3.0.6. So, older operating systems and devices are likely to avoid these problems, writes Steven Vaughan-Nichols.

Here’s the link: https://www.zdnet.com/article/openssl-warns-of-critical-security-vulnerability-with-upcoming-patch/

Also see:

Hackers take down EU Parliament site in apparent DDoS attack — Techradar.pro

Russian hackers have attacked the website of the European...

CGI awarded $17.4M Nuclear Regulatory Commission cybersecurity contract

CGI has been awarded a cybersecurity contract to prepare the Nuclear Regulatory Commission (NRC) for emerging cyber threats under its Global Infrastructure and Development Acquisition (GLINDA) Blanket Purchase Agreement.

Protexxa raises $ 2.95M (Toronto)

Cybersecurity startup Protexxa has raised CAD$4 million (roughly $2.95 million) in seed funding. 

Apple releases security updates for multiple products (Update right now!)

Apple has released security updates to address vulnerabilities in Safari 16.1, iOS 16.1 and iPadOS 16, macOS Big Sur 11.7.1, macOS Monterey 12.6.1, macOS Ventura 13, tvOS 16.1, watchOS 9.1. Find the Apple update links here.

Intel confirms leaked Alder Lake BIOS Source Code is authentic — Bleeping Computer

Intel has confirmed that a source code leak for...